Name:          kopete
Version:       18.04.2
Release:       1mamba
Summary:       Multi-protocol plugin-based instant messenger for the K Desktop Environment
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/kopete-%{version}.tar.xz
Patch0:        kopete-17.08.3-mediastreamer-2.14.patch
Patch1:        kopete-17.08.3-libjingle-pthread.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libbctoolbox-devel
BuildRequires: libexpat-devel
BuildRequires: libgadu-devel
BuildRequires: libgcc
BuildRequires: libgif-devel
BuildRequires: libglib-devel
BuildRequires: libidn-devel
BuildRequires: libjasper-devel
BuildRequires: libjpeg-devel
BuildRequires: libjsoncpp-devel
BuildRequires: libmeanwhile-devel
BuildRequires: libmediastreamer-devel
BuildRequires: libmsn-devel
BuildRequires: libnsl-devel
BuildRequires: libopenssl-devel
BuildRequires: libortp-devel
BuildRequires: libotr-devel
BuildRequires: libphonon-devel
BuildRequires: libqca-devel
BuildRequires: libqimageblitz-devel
BuildRequires: libqjson-devel
BuildRequires: libqt5-devel
BuildRequires: libsoprano-devel
BuildRequires: libsrtp-devel
BuildRequires: libstdc++6-devel
BuildRequires: libv4l-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: automoc4
BuildRequires: cmake
BuildConflicts: libxmms-devel
Requires:      qca-ossl
Provides:      libkopete
Obsoletes:     libkopete
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# 4.13.2:
#   * Kleopatra  <http://kde.org></http:>
#     The Kleopatra libraries (from kdepim)
#     Required for the Cryptography plugin

%description
Multi-protocol plugin-based instant messenger for the K Desktop Environment.
This package is part of KDE4.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      kdelibs-devel
Provides:      libkopete-devel
Obsoletes:     libkopete-devel

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5 -d build \
   -DWITH_wlm:BOOL=OFF

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_kde5_icondir}/hicolor >/dev/null 2>&1
touch --no-create %{_kde5_icondir}/oxygen >/dev/null 2>&1
exit 0

%posttrans
/sbin/ldconfig
update-desktop-database -q >/dev/null 2>&1
update-mime-database %{_kde5_mimedir} >/dev/null 2>&1
gtk-update-icon-cache %{_kde5_icondir}/hicolor >/dev/null 2>&1
gtk-update-icon-cache %{_kde5_icondir}/oxygen >/dev/null 2>&1
exit 0

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   update-desktop-database -q >/dev/null 2>&1
   update-mime-database %{_kde5_mimedir} >/dev/null 2>&1
   touch --no-create %{_kde5_icondir}/hicolor >/dev/null 2>&1
   gtk-update-icon-cache %{_kde5_icondir}/hicolor >/dev/null 2>&1
   touch --no-create %{_kde5_icondir}/oxygen >/dev/null 2>&1
   gtk-update-icon-cache %{_kde5_icondir}/oxygen >/dev/null 2>&1
fi
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/kopete.categories
%{_sysconfdir}/xdg/kopeterc
%{_kde5_bindir}/kopete
%{_bindir}/libjingle-call
%{_bindir}/winpopup-install
%{_bindir}/winpopup-send
%{_libdir}/libkopete.so.*
%{_libdir}/libkopete_oscar.so.*
%{_libdir}/libkopete_otr_shared.so.*
%{_libdir}/libkopete_videodevice.so.*
%{_libdir}/libkopeteaddaccountwizard.so.*
%{_libdir}/libkopetechatwindow_shared.so.*
%{_libdir}/libkopetecontactlist.so.*
%{_libdir}/libkopeteidentity.so.*
%{_libdir}/libkopeteprivacy.so.*
%{_libdir}/libkopetestatusmenu.so.*
%{_libdir}/libkyahoo.so.*
%{_libdir}/liboscar.so.*
%{_libdir}/qt5/plugins/chattexteditpart.so
%{_libdir}/qt5/plugins/kcm_kopete_*.so
%{_libdir}/qt5/plugins/kopete_*.so
%{_libdir}/qt5/plugins/accessible/chatwindowaccessiblewidgetfactory.so
%{_datadir}/applications/org.kde.kopete.desktop
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.Kopete*.xml
%{_datadir}/dbus-1/interfaces/org.kde.kopete.*.xml
%{_datadir}/icons/hicolor/*/apps/kopete*.png
%{_datadir}/icons/hicolor/scalable/apps/kopete*.svgz
%{_datadir}/icons/oxygen/*/apps/*.png
%{_datadir}/icons/oxygen/*/actions/*.png
%{_datadir}/icons/oxygen/*/status/*.png
%{_datadir}/icons/oxygen/scalable/actions/*.svgz
%dir %{_datadir}/kopete_history
%{_datadir}/kopete_history/history*.rc
%{_datadir}/knotifications5/kopete.notifyrc
%{_datadir}/kservices5/*
%{_kde5_servicetypesdir}/kopete*.desktop
%dir %{_datadir}/kxmlgui5/kopete
%{_datadir}/kxmlgui5/kopete/*
%dir %{_datadir}/kxmlgui5/kopete_groupwise
%{_datadir}/kxmlgui5/kopete_groupwise/*
%dir %{_datadir}/kxmlgui5/kopete_otr
%{_datadir}/kxmlgui5/kopete_otr/*
%{_datadir}/kconf_update/kopete-*
%dir %{_datadir}/kopete
%{_datadir}/kopete/*
%{_datadir}/sounds/Kopete_*.ogg
%lang(ca) %{_datadir}/doc/HTML/ca/kopete
%lang(de) %{_datadir}/doc/HTML/de/kopete
%lang(en) %{_datadir}/doc/HTML/en/kopete
%lang(es) %{_datadir}/doc/HTML/es/kopete
%lang(et) %{_datadir}/doc/HTML/et/kopete
%lang(fr) %{_datadir}/doc/HTML/fr/kopete
%lang(it) %{_datadir}/doc/HTML/it/kopete
%lang(nl) %{_datadir}/doc/HTML/nl/kopete
%lang(pl) %{_datadir}/doc/HTML/pl/kopete
%lang(pt) %{_datadir}/doc/HTML/pt/kopete
%lang(pt_BR) %{_datadir}/doc/HTML/pt_BR/kopete
%lang(ru) %{_datadir}/doc/HTML/ru/kopete
%lang(sr) %{_datadir}/doc/HTML/sr/kopete
%lang(sv) %{_datadir}/doc/HTML/sv/kopete
%lang(uk) %{_datadir}/doc/HTML/uk/kopete
%doc AUTHORS COPYING COPYING.DOC COPYING.LIB

%files devel
%defattr(-,root,root)
%dir %{_includedir}/kopete
%{_includedir}/kopete/*
%{_libdir}/libkopete.so
%{_libdir}/libkopete_oscar.so
%{_libdir}/libkopete_otr_shared.so
%{_libdir}/libkopete_videodevice.so
%{_libdir}/libkopeteaddaccountwizard.so
%{_libdir}/libkopetechatwindow_shared.so
%{_libdir}/libkopetecontactlist.so
%{_libdir}/libkopeteidentity.so
%{_libdir}/libkopeteprivacy.so
%{_libdir}/libkopetestatusmenu.so
%{_libdir}/libkyahoo.so
%{_libdir}/liboscar.so
%{_libdir}/libqgroupwise.so

%changelog
* Fri Jun 15 2018 Automatic Build System <autodist@mambasoft.it> 18.04.2-1mamba
- automatic version update by autodist

* Thu May 10 2018 Automatic Build System <autodist@mambasoft.it> 18.04.1-1mamba
- automatic version update by autodist

* Sun May 06 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Fri Nov 17 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Mon Nov 07 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.08.2-1mamba
- update to 16.08.2

* Mon Nov 07 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.1-2mamba
- rebuilt by autoport with build requirements: libjsoncpp-devel>=1.7.7-1mamba

* Sat Feb 06 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.1-1mamba
- update to 15.12.1

* Tue Dec 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 15.08.3-1mamba
- update to 15.08.3

* Wed Jul 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 15.04.3-1mamba
- update to 15.04.3

* Wed Jul 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.3-3mamba
- rebuilt with libmediastreamer 2.11.1

* Fri Jan 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.3-2mamba
- rebuilt by autoport with build requirements: libjsoncpp-devel>=1.1.0-1mamba

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.13.2-2mamba
- rebuilt with libotr 4.0.0, libjsoncpp, libsrtp

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Wed Apr 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.12.4-2mamba
- added requirement for qca-ossl

* Fri Apr 04 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Sat Dec 21 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.0-1mamba
- package created by silvan using the webbuild interface
